public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/anyio/
Date: Thu, 11 Mar 2021 18:53:02 +0000 (UTC)	[thread overview]
Message-ID: <1615488781.0bb2499209623ad7a7548623f4c13225b921213d.Alessandro-Barbieri@gentoo> (raw)

commit:     0bb2499209623ad7a7548623f4c13225b921213d
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed Mar 10 12:49:49 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu Mar 11 18:53:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0bb24992

dev-python/anyio: bump

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/anyio/Manifest           |  1 +
 dev-python/anyio/anyio-2.2.0.ebuild | 61 +++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 83033c84..9ed5a6fc 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1 +1,2 @@
 DIST anyio-2.1.0.tar.gz 95186 BLAKE2B 5dcb110e0e3d543525bb5081c948124e0e0f6bb0a80038104a8ab793ecf961a56d56576ad96a78b0fb69f3c7731dea3d9573b757f859ee8e61e65490432b9b69 SHA512 923467cdfbf6d0f427345704e99aec44cafc21f78a8b3b88d1ca9be93fb52a77d472229a242664977a873faf05c7c47a44a55aa4d0158959f60bf4ac8a46cdeb
+DIST anyio-2.2.0.tar.gz 97217 BLAKE2B 7b50d997fd83950d16c0e562519b60dbef32bfd6d21e61583a83dd94edc26e27fcd26c7c630f22daaddebea5e148487db1a8c81e0bd82cf4641812dfac8807de SHA512 bca1265eec30830bea5f6fe15f3059793599e9c47d292b3008fcd86c802d76bd692f1a340fd6e3b0aa2401c38576459e516b3defa1ddf8353f18d51280fd73ab

diff --git a/dev-python/anyio/anyio-2.2.0.ebuild b/dev-python/anyio/anyio-2.2.0.ebuild
new file mode 100644
index 00000000..f6ffbc88
--- /dev/null
+++ b/dev-python/anyio/anyio-2.2.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+# Build with USE="-doc" first because of circular dependency
+# otherwise one gets the error that sphinx-autodoc-typehints
+
+DOCS_BUILDER="sphinx"
+DOCS_DIR="docs"
+DOCS_AUTODOC=1
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+	https://github.com/agronholm/anyio
+	https://pypi.org/project/anyio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=dev-python/curio-1.4[${PYTHON_USEDEP}]
+	>=dev-python/idna-2.8[${PYTHON_USEDEP}]
+	>=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+	>=dev-python/trio-0.16[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep 'dev-python/typing-extensions[${PYTHON_USEDEP}]' python3_7)
+"
+
+BDEPEND="
+	${RDEPEND}
+	doc? (
+		dev-python/anyio[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-autodoc-typehints-1.2.0[${PYTHON_USEDEP}]
+		dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+	)
+	test? (
+		>=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+		>=dev-python/pytest-6.0[${PYTHON_USEDEP}]
+		dev-python/trustme[${PYTHON_USEDEP}]
+		>=dev-python/uvloop-0.15[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	distutils_install_for_testing
+	pytest -vv \
+			--deselect tests/test_sockets.py::test_getaddrinfo[asyncio] \
+			--deselect tests/test_sockets.py::test_getaddrinfo[asyncio+uvloop] \
+			--deselect tests/test_sockets.py::test_getaddrinfo[curio] \
+			--deselect tests/test_sockets.py::test_getaddrinfo[trio] \
+	|| die
+}


             reply	other threads:[~2021-03-11 18:53 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-11 18:53 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-06-10 10:06 [gentoo-commits] repo/proj/guru:master commit in: dev-python/anyio/ Andrew Ammerlaan
2021-06-10 10:03 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-05-25  8:10 Anna Vyalkova
2021-05-09  0:35 Alessandro Barbieri
2021-04-28  3:15 Theo Anderson
2021-04-13 12:27 Andrew Ammerlaan
2021-02-17 18:33 Andrew Ammerlaan
2020-12-18 14:15 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-12-18 14:15 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-11-30 12:35 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-11-30 12:35 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-11-29 15:16 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615488781.0bb2499209623ad7a7548623f4c13225b921213d.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox